( function($) {
	// Responsive videos
	var all_videos = $( '.entry-content' ).find( 'iframe[src*="player.vimeo.com"], iframe[src*="youtube.com"], iframe[src*="youtube-nocookie.com"], iframe[src*="dailymotion.com"],iframe[src*="kickstarter.com"][src*="video.html"], object, embed' ),
		f_height;

	all_videos = all_videos.not( 'object object' );

	all_videos.each( function() {
		var video = $(this);

		if ( video.parents( 'object' ).length )
			return;

		if ( ! video.prop( 'id' ) )
			video.attr( 'id', 'rvw' + Math.floor( Math.random() * 999999 ) );

		video
			.wrap( '<div class="responsive-video-wrapper" style="padding-top: ' + ( video.attr( 'height' ) / video.attr( 'width' ) * 100 ) + '%" />' )
			.removeAttr( 'height' )
			.removeAttr( 'width' );
	} );

	// Mobile menu
	$( '#header' ).on( 'click', '#mobile-menu a', function() {
		if ( $(this).hasClass( 'left-menu' ) ) {
			$( '#nav-wrapper' ).toggleClass( 'menu-open' );
			$( '#drop-down-search' ).slideUp( 'fast' );
		} else {
			$( '#nav-wrapper' ).removeClass( 'menu-open' );
			$( '#drop-down-search' ).slideToggle( 'fast' );
		}
	} );

	// Open submenus in mobile menu
	$( '#nav-wrapper' ).on( 'click', '.sub-menu-parent > a, .page_item_has_children > a', function(e) {
		e.preventDefault();

		if ( $(this).parents( '#nav-wrapper' ).hasClass( 'menu-open' ) ) {
			$(this).toggleClass( 'open' ).parent().find( '.sub-menu:first, .children:first' ).toggle();
		}
	} );

	// Footer height
	$(window)
		.resize( function() {
			footer_height();
		} )
		.load( function() {
			footer_height();
		} );

	function footer_height() {
		f_height = $( '#footer-content' ).outerHeight() + 5;
		$( '#footer' ).css({ height: f_height + 'px' });
		$( '#page' ).css({ marginBottom: -f_height + 'px' });
		$( '#main' ).css({ paddingBottom: f_height  + 'px' });
	}

	// Shortcode
	if ( theme_js_vars['carousel'] )
		$( '.carousel' ).carousel();

	if ( theme_js_vars['tooltip'] )
		$( 'a[rel="tooltip"]' ).tooltip();

	if ( theme_js_vars['tabs'] ) {
		$( '.nav-tabs a' ).click( function(e) {
			e.preventDefault();
			$(this).tab( 'show' );
		} );
	}

	$( 'a[href="#"]' ).click( function(e) {
		e.preventDefault();
	} );

	if ( 'scrollerota' == theme_js_vars['type'] || 'sliderota' == theme_js_vars['type'] ) {
		window.addEventListener('orientationchange', function(){
			location.reload();
		}, false);
	}
} )(jQuery);